Check for OpenSSL defines before trying to use them.
authorMark Michelson <mmichelson@digium.com>
Thu, 4 Feb 2016 22:17:55 +0000 (16:17 -0600)
committerMark Michelson <mmichelson@digium.com>
Thu, 4 Feb 2016 22:57:46 +0000 (16:57 -0600)
commit3b426a8b09c127941b29600271184583f2199a19
tree26bc40d4985b99f1e52e7e7f13aa5eab320c545f
parentc0a8ecc8c00ed675a038a34bfb27a3e5b093055d
Check for OpenSSL defines before trying to use them.

The SSL_OP_NO_TLSv1_1 and SSL_OP_NO_TLSv1_2 defines did not exist prior
to OpenSSL version 1.0.1. A recent commit attempts to, by default, set
these options, which can cause problems on systems with older OpenSSL
installations.

This commit adds a configure script check for those defines and will not
attempt to make use of those if they do not exist. We will print a
warning urging the user to upgrade their OpenSSL installation if those
defines are not present.

Change-Id: I6a2eb9a43fd0738b404d8f6f2cf4b5c22d9d752d
configure
configure.ac
include/asterisk/autoconfig.h.in
main/tcptls.c